diff --git a/src/Lunr/Gravity/Database/DatabaseDMLQueryBuilder.php b/src/Lunr/Gravity/Database/DatabaseDMLQueryBuilder.php
index fb5b3e9294d6067ee23558e94de2586fd5e55347..61f37a55cc5225e0c1141ef8ec913fc0691160c1 100644
--- a/src/Lunr/Gravity/Database/DatabaseDMLQueryBuilder.php
+++ b/src/Lunr/Gravity/Database/DatabaseDMLQueryBuilder.php
@@ -70,7 +70,7 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
      */
     protected $insert_mode;
 
-        /**
+    /**
      * SQL Query part: UPDATE clause
      * @var String
      */
@@ -161,32 +161,39 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
     protected $is_unfinished_join;
 
     /**
+     * SQL Query part: string identifying if the join is type using or on
+     * @var Boolean
+     */
+    protected $join_type;
+
+    /**
      * Constructor.
      */
     public function __construct()
     {
-        $this->select            = '';
-        $this->select_mode      = array();
-        $this->update           = '';
-        $this->update_mode      = array();
-        $this->delete           = '';
-        $this->delete_mode      = array();
-        $this->from             = '';
-        $this->join             = '';
-        $this->where            = '';
-        $this->group_by         = '';
-        $this->having           = '';
-        $this->order_by         = '';
-        $this->limit            = '';
-        $this->connector        = '';
-        $this->into             = '';
-        $this->insert_mode      = array();
-        $this->set              = '';
-        $this->column_names     = '';
-        $this->values           = '';
-        $this->select_statement = '';
-        $this->compound         = '';
-        $this->is_unfinished_join  = FALSE;
+        $this->select             = '';
+        $this->select_mode        = array();
+        $this->update             = '';
+        $this->update_mode        = array();
+        $this->delete             = '';
+        $this->delete_mode        = array();
+        $this->from               = '';
+        $this->join               = '';
+        $this->where              = '';
+        $this->group_by           = '';
+        $this->having             = '';
+        $this->order_by           = '';
+        $this->limit              = '';
+        $this->connector          = '';
+        $this->into               = '';
+        $this->insert_mode        = array();
+        $this->set                = '';
+        $this->column_names       = '';
+        $this->values             = '';
+        $this->select_statement   = '';
+        $this->compound           = '';
+        $this->is_unfinished_join = false;
+        $this->join_type          = '';
     }
 
     /**
@@ -216,6 +223,7 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
         unset($this->values);
         unset($this->select_statement);
         unset($this->is_unfinished_join);
+        unset($this->join_type);
     }
 
     /**
@@ -241,7 +249,7 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
             return $standard;
         }
 
-        $components   = array();
+        $components = array();
         $components[] = 'compound';
 
         return '(' . $standard . ') ' . $this->implode_query($components);
@@ -282,7 +290,7 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
             return '';
         }
 
-        $components   = array();
+        $components = array();
         $components[] = 'insert_mode';
         $components[] = 'into';
 
@@ -324,7 +332,7 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
 
         $this->insert_mode = array_intersect($this->insert_mode, $valid);
 
-        $components   = array();
+        $components = array();
         $components[] = 'insert_mode';
         $components[] = 'into';
 
@@ -428,8 +436,8 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
     /**
      * Define FROM clause of the SQL statement.
      *
-     * @param String $table       Table reference
-     * @param array  $index_hints Array of Index Hints
+     * @param String $table Table reference
+     * @param array $index_hints Array of Index Hints
      *
      * @return void
      */
@@ -451,8 +459,8 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
      * Define JOIN clause of the SQL statement.
      *
      * @param String $table_reference Table reference
-     * @param String $type            Type of JOIN operation to perform.
-     * @param array  $index_hints     Array of Index Hints
+     * @param String $type Type of JOIN operation to perform.
+     * @param array $index_hints Array of Index Hints
      *
      * @return void
      */
@@ -471,7 +479,38 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
 
         if (!(substr($type, 0, 7) == 'NATURAL'))
         {
-            $this->is_unfinished_join = TRUE;
+            $this->is_unfinished_join = true;
+            $this->join_type = '';
+        }
+    }
+
+    /**
+     * Define USING clause of the SQL statement.
+     *
+     * @param String $column_list Column name to use.
+     */
+    function sql_using($column_list)
+    {
+        // Select join type.
+        if ($this->join_type === '')
+        {
+            $this->join_type = 'using';
+        }
+
+        // Prevent USING and ON to be used at the same time.
+        if ($this->join_type === 'using')
+        {
+            if ($this->is_unfinished_join)
+            {
+                $this->join .= ' ' . 'USING (';
+                $this->is_unfinished_join = false;
+            }
+            elseif (substr($this->join, -1) !== '(')
+            {
+                $this->join = rtrim($this->join, ')') . ', ';
+            }
+
+            $this->join .= $column_list . ')';
         }
     }
 
@@ -595,31 +634,41 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
     {
         $condition = ($base === 'ON') ? 'join' : strtolower($base);
 
-        if (rtrim($this->$condition, '(') == '' || $this->is_unfinished_join)
+        // select join type.
+        if ($this->join_type === '')
         {
-            if ($this->is_unfinished_join)
+            $this->join_type = 'on';
+        }
+
+        // Prevent USING and ON to be used at the same time.
+        if ($this->join_type === 'on')
+        {
+            if (rtrim($this->$condition, '(') == '' || $this->is_unfinished_join)
+            {
+                if ($this->is_unfinished_join)
+                {
+                    $this->$condition .= ' ' . $base . ' ';
+                }
+                else
+                {
+                    $this->$condition = $base . ' ' . $this->$condition;
+                }
+
+                $this->connector = '';
+                $this->is_unfinished_join = '';
+            }
+            elseif ($this->connector != '')
             {
-                $this->$condition .= ' ' . $base . ' ';
+                $this->$condition .= ' ' . $this->connector . ' ';
+                $this->connector = '';
             }
-            else
+            elseif (substr($this->$condition, -1) !== '(')
             {
-                $this->$condition = $base . ' ' . $this->$condition;
+                $this->$condition .= ' AND ';
             }
 
-            $this->connector       = '';
-            $this->is_unfinished_join = FALSE;
-        }
-        elseif ($this->connector != '')
-        {
-            $this->$condition .= ' ' . $this->connector . ' ';
-            $this->connector   = '';
-        }
-        elseif (substr($this->$condition, -1) !== '(')
-        {
-            $this->$condition .= ' AND ';
+            $this->$condition .= "$left $operator $right";
         }
-
-        $this->$condition .= "$left $operator $right";
     }
 
     /**
@@ -782,22 +831,26 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
     {
         $condition = ($condition === 'ON') ? 'join' : strtolower($condition);
 
-        if ($this->is_unfinished_join)
-        {
-            $this->$condition     .= 'ON ';
-            $this->is_unfinished_join = FALSE;
-        }
-        elseif ($this->connector != '')
+        // Prevent USING and ON to be used at the same time.
+        if ($this->join_type !== 'using')
         {
-            $this->$condition .= ' ' . $this->connector . ' ';
-            $this->connector   = '';
-        }
-        elseif (!empty($this->$condition) && substr($this->$condition, -1) !== '(')
-        {
-            $this->$condition .= ' AND ';
-        }
+            if ($this->is_unfinished_join)
+            {
+                $this->$condition .= 'ON ';
+                $this->is_unfinished_join = false;
+            }
+            elseif ($this->connector != '')
+            {
+                $this->$condition .= ' ' . $this->connector . ' ';
+                $this->connector = '';
+            }
+            elseif (!empty($this->$condition) && substr($this->$condition, -1) !== '(')
+            {
+                $this->$condition .= ' AND ';
+            }
 
-        $this->$condition .= '(';
+            $this->$condition .= '(';
+        }
     }
 
     /**
@@ -809,8 +862,13 @@ abstract class DatabaseDMLQueryBuilder implements DMLQueryBuilderInterface
      */
     public function sql_group_end($condition = 'WHERE')
     {
-        $condition         = ($condition === 'ON') ? 'join' : strtolower($condition);
-        $this->$condition .= ')';
+        $condition = ($condition === 'ON') ? 'join' : strtolower($condition);
+
+        // Prevent USING and ON to be used at the same time.
+        if ($this->join_type !== 'using')
+        {
+            $this->$condition .= ')';
+        }
     }
 
 }
diff --git a/src/Lunr/Gravity/Database/MySQL/MySQLSimpleDMLQueryBuilder.php b/src/Lunr/Gravity/Database/MySQL/MySQLSimpleDMLQueryBuilder.php
index 0a36f773844f819fb5a7439945060fce6885d8d4..cae508c2acdb5f14ad51e9766371332d2d36e6f8 100644
--- a/src/Lunr/Gravity/Database/MySQL/MySQLSimpleDMLQueryBuilder.php
+++ b/src/Lunr/Gravity/Database/MySQL/MySQLSimpleDMLQueryBuilder.php
@@ -141,6 +141,25 @@ class MySQLSimpleDMLQueryBuilder extends MySQLDMLQueryBuilder
     }
 
     /**
+     * Define USING part of the SQL statement.
+     *
+     * @param String $column_list columns to use.
+     *
+     * @return MySQLDMLQueryBuilder $self Self reference
+     */
+    public function using($column_list)
+    {
+        $columns = '';
+
+        foreach (explode(',', $column_list) as $column)
+        {
+            $columns .= $this->escaper->column(trim($column)) . ', ';
+        }
+
+        return parent::using(rtrim($columns, ', '));
+    }
+
+    /**
      * Define ON part of a JOIN clause of the SQL statement.
      *
      * @param String $left     Left expression
diff --git a/src/Lunr/Gravity/Database/MySQL/Tests/MySQLSimpleDMLQueryBuilderUsingTest.php b/src/Lunr/Gravity/Database/MySQL/Tests/MySQLSimpleDMLQueryBuilderUsingTest.php
new file mode 100644
index 0000000000000000000000000000000000000000..4e68b630529a663678d09067225c7c5d232a4004
--- /dev/null
+++ b/src/Lunr/Gravity/Database/MySQL/Tests/MySQLSimpleDMLQueryBuilderUsingTest.php
@@ -0,0 +1,218 @@
+<?php
+
+/**
+ * This file contains the MySQLSimpleDMLQueryBuilderUsingTest class.
+ *
+ * PHP Version 5.4
+ *
+ * @package    Lunr\Gravity\Database\MySQL
+ * @author     Patrick Valk <p.valk@m2mobi.com>
+ * @copyright  2016, M2Mobi BV, Amsterdam, The Netherlands
+ * @license    http://lunr.nl/LICENSE MIT License
+ */
+
+namespace Lunr\Gravity\Database\MySQL\Tests;
+
+use Lunr\Gravity\Database\MySQL\MySQLDMLQueryBuilder;
+use ReflectionClass;
+
+/**
+ * This class contains select tests for the MySQLSimpleDMLQueryBuilder class.
+ *
+ * @covers Lunr\Gravity\Database\MySQL\MySQLSimpleDMLQueryBuilder
+ */
+class MySQLSimpleDMLQueryBuilderUsingTest extends MySQLSimpleDMLQueryBuilderTest
+{
+
+    /**
+     * Test using().
+     *
+     * @covers Lunr\Gravity\Database\MySQL\MySQLSimpleDMLQueryBuilder::using
+     */
+    public function testUsing()
+    {
+        $this->set_reflection_property_value('join', 'INNER JOIN `table2`');
+        $this->set_reflection_property_value('is_unfinished_join', true);
+
+        $this->escaper->expects($this->once())
+            ->method('column')
+            ->with($this->equalTo('column1'))
+            ->will($this->returnValue('`column1`'));
+
+        $this->class->using('column1');
+
+        $this->assertEquals('INNER JOIN `table2` USING (`column1`)', $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test using().
+     *
+     * @covers Lunr\Gravity\Database\MySQL\MySQLSimpleDMLQueryBuilder::using
+     */
+    public function testUsingMultipleUsing()
+    {
+        $this->set_reflection_property_value('join', 'INNER JOIN `table2`');
+        $this->set_reflection_property_value('is_unfinished_join', true);
+
+        $this->escaper->expects($this->at(0))
+            ->method('column')
+            ->with($this->equalTo('column1'))
+            ->will($this->returnValue('`column1`'));
+
+        $this->escaper->expects($this->at(1))
+            ->method('column')
+            ->with($this->equalTo('column2'))
+            ->will($this->returnValue('`column2`'));
+
+        $this->class->using('column1, column2');
+
+        $this->assertEquals('INNER JOIN `table2` USING (`column1`, `column2`)', $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test using().
+     *
+     * @covers Lunr\Gravity\Database\MySQL\MySQLSimpleDMLQueryBuilder::using
+     */
+    public function testUsingTwice()
+    {
+        $this->set_reflection_property_value('join', 'INNER JOIN `table2`');
+        $this->set_reflection_property_value('is_unfinished_join', true);
+
+        $this->escaper->expects($this->at(0))
+            ->method('column')
+            ->with($this->equalTo('column1'))
+            ->will($this->returnValue('`column1`'));
+
+        $this->escaper->expects($this->at(1))
+            ->method('column')
+            ->with($this->equalTo('column2'))
+            ->will($this->returnValue('`column2`'));
+
+        $this->class->using('column1');
+        $this->class->using('column2');
+
+        $this->assertEquals('INNER JOIN `table2` USING (`column1`, `column2`)', $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test using().
+     *
+     * @covers Lunr\Gravity\Database\MySQL\MySQLSimpleDMLQueryBuilder::using
+     */
+    public function testUsingBeforeOn()
+    {
+        $this->set_reflection_property_value('join', 'INNER JOIN `table2`');
+        $this->set_reflection_property_value('is_unfinished_join', true);
+
+        $this->escaper->expects($this->at(0))
+            ->method('column')
+            ->with($this->equalTo('column1'))
+            ->will($this->returnValue('`column1`'));
+
+        $this->class->using('column1');
+
+        $this->assertEquals('INNER JOIN `table2` USING (`column1`)', $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test using().
+     *
+     * @covers Lunr\Gravity\Database\MySQL\MySQLSimpleDMLQueryBuilder::using
+     */
+    public function testUsingAfterOn()
+    {
+        $this->set_reflection_property_value('join', 'INNER JOIN `table2`ON (`column3` = `column4`)');
+        $this->set_reflection_property_value('is_unfinished_join', true);
+        $this->set_reflection_property_value('join_type', 'on');
+
+        $this->escaper->expects($this->at(0))
+            ->method('column')
+            ->with($this->equalTo('column1'))
+            ->will($this->returnValue('`column1`'));
+
+        $this->class->using('column1');
+
+        $this->assertEquals('INNER JOIN `table2`ON (`column3` = `column4`)', $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test on().
+     *
+     * @covers Lunr\Gravity\Database\DatabaseDMLQueryBuilder::sql_condition
+     */
+    public function testOnAfterUsing()
+    {
+        $this->set_reflection_property_value('join', 'INNER JOIN `table2` USING (`column1`)');
+        $this->set_reflection_property_value('is_unfinished_join', true);
+        $this->set_reflection_property_value('join_type', 'using');
+
+        $this->escaper->expects($this->at(0))
+            ->method('column')
+            ->with($this->equalTo('column3'))
+            ->will($this->returnValue('`column3`'));
+
+        $this->escaper->expects($this->at(1))
+            ->method('column')
+            ->with($this->equalTo('column4'))
+            ->will($this->returnValue('`column4`'));
+
+        $this->class->on('column3', 'column4', '=');
+
+        $this->assertEquals('INNER JOIN `table2` USING (`column1`)', $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test start_on_group().
+     *
+     * @covers Lunr\Gravity\Database\DatabaseDMLQueryBuilder::sql_group_start
+     */
+    public function testStartOnGroupAfterUsing()
+    {
+        $this->set_reflection_property_value('join', 'INNER JOIN `table2` USING (`column1`)');
+        $this->set_reflection_property_value('join_type', 'using');
+
+        $this->class->start_on_group();
+
+        $this->assertEquals('INNER JOIN `table2` USING (`column1`)', $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test end_on_group().
+     *
+     * @covers Lunr\Gravity\Database\DatabaseDMLQueryBuilder::sql_group_end
+     */
+    public function testEndOnGroupAfterUsing()
+    {
+        $this->set_reflection_property_value('join', 'INNER JOIN `table2` USING (`column1`)');
+        $this->set_reflection_property_value('join_type', 'using');
+
+        $this->class->end_on_group();
+
+        $this->assertEquals('INNER JOIN `table2` USING (`column1`)', $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test using().
+     *
+     * @covers Lunr\Gravity\Database\DatabaseDMLQueryBuilder::using
+     */
+    public function testUsingFinishedJoin()
+    {
+        $this->set_reflection_property_value('join', 'INNER JOIN `table2`');
+        $this->set_reflection_property_value('is_unfinished_join', true);
+
+        $this->escaper->expects($this->at(0))
+            ->method('column')
+            ->with($this->equalTo('column1'))
+            ->will($this->returnValue('`column1`'));
+
+        $this->class->using('column1');
+
+        $this->assertEquals('INNER JOIN `table2` USING (`column1`)', $this->get_reflection_property_value('join'));
+        $this->assertEquals(false, $this->get_reflection_property_value('is_unfinished_join'));
+    }
+
+}
+
+?>
diff --git a/src/Lunr/Gravity/Database/SQLDMLQueryBuilder.php b/src/Lunr/Gravity/Database/SQLDMLQueryBuilder.php
index 6296e70626d239c092488dd7d59ef2c218c322b2..f40398d32284b8026736dc1a5ba9c08d26e471f5 100644
--- a/src/Lunr/Gravity/Database/SQLDMLQueryBuilder.php
+++ b/src/Lunr/Gravity/Database/SQLDMLQueryBuilder.php
@@ -172,6 +172,19 @@ abstract class SQLDMLQueryBuilder extends DatabaseDMLQueryBuilder
     }
 
     /**
+     * Define USING part of the SQL statement.
+     *
+     * @param String  $column_list Column name to use.
+     *
+     * @return SQLDMLQueryBuilder $self Self reference
+     */
+    public function using($column_list)
+    {
+        $this->sql_using($column_list);
+        return $this;
+    }
+
+    /**
      * Define ON part of a JOIN clause of the SQL statement.
      *
      * @param String $left     Left expression
diff --git a/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsUsingTest.php b/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsUsingTest.php
new file mode 100644
index 0000000000000000000000000000000000000000..c0f805be541725f8d8c583ec18cc5bfd3c54071b
--- /dev/null
+++ b/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsUsingTest.php
@@ -0,0 +1,72 @@
+<?php
+
+/**
+ * This file contains the DatabaseDMLQueryBuilderQueryPartsUsingTest class.
+ *
+ * PHP Version 5.4
+ *
+ * @package    Lunr\Gravity\Database
+ * @author     Patrick Valk <p.valk@m2mobi.com>
+ * @copyright  2016, M2Mobi BV, Amsterdam, The Netherlands
+ * @license    http://lunr.nl/LICENSE MIT License
+ */
+
+namespace Lunr\Gravity\Database\Tests;
+
+/**
+ * This class contains the tests for the query parts methods.
+ *
+ * @covers Lunr\Gravity\Database\DatabaseDMLQueryBuilder
+ */
+class DatabaseDMLQueryBuilderQueryPartsUsingTest extends DatabaseDMLQueryBuilderTest
+{
+
+    /**
+     * Test sql_using.
+     */
+    public function testUsing()
+    {
+        $method = $this->get_accessible_reflection_method('sql_using');
+        $this->set_reflection_property_value('is_unfinished_join', true);
+
+        $method->invokeArgs($this->class, [ 'column1' ]);
+
+        $string = ' USING (column1)';
+
+        $this->assertEquals($string, $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test sql_using.
+     */
+    public function testUsingTwice()
+    {
+        $method = $this->get_accessible_reflection_method('sql_using');
+        $this->set_reflection_property_value('is_unfinished_join', true);
+
+        $method->invokeArgs($this->class, [ 'column1' ]);
+        $method->invokeArgs($this->class, [ 'column2' ]);
+
+        $string = ' USING (column1, column2)';
+
+        $this->assertEquals($string, $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test sql_using.
+     */
+    public function testUsingMultipleColumn()
+    {
+        $method = $this->get_accessible_reflection_method('sql_using');
+        $this->set_reflection_property_value('is_unfinished_join', true);
+
+        $method->invokeArgs($this->class, [ 'column1, column2' ]);
+
+        $string = ' USING (column1, column2)';
+
+        $this->assertEquals($string, $this->get_reflection_property_value('join'));
+    }
+
+}
+
+?>
diff --git a/src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderUsingTest.php b/src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderUsingTest.php
new file mode 100644
index 0000000000000000000000000000000000000000..216db9bec5acb081bcebf9e57e61114154060df0
--- /dev/null
+++ b/src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderUsingTest.php
@@ -0,0 +1,59 @@
+<?php
+
+/**
+ * This file contains the SQLDMLQueryBuilderUsingTest class.
+ *
+ * PHP Version 5.4
+ *
+ * @package    Lunr\Gravity\Database
+ * @author     Patrick Valk <p.valk@m2mobi.com>
+ * @copyright  2016, M2Mobi BV, Amsterdam, The Netherlands
+ * @license    http://lunr.nl/LICENSE MIT License
+ */
+
+namespace Lunr\Gravity\Database\Tests;
+
+/**
+ * This class contains the tests for the query parts methods.
+ *
+ * @covers Lunr\Gravity\Database\DatabaseDMLQueryBuilder
+ */
+class SQLDMLQueryBuilderUsingTest extends SQLDMLQueryBuilderTest
+{
+
+    /**
+     * Test specifying the using part.
+     *
+     * @covers Lunr\Gravity\Database\SQLDMLQueryBuilder::using
+     */
+    public function testUsing()
+    {
+        $this->set_reflection_property_value('is_unfinished_join', true);
+
+        $this->class->using('column1');
+
+        $string = ' USING (column1)';
+
+        $this->assertEquals($string, $this->get_reflection_property_value('join'));
+    }
+
+    /**
+     * Test specifying the using part.
+     *
+     * @covers Lunr\Gravity\Database\SQLDMLQueryBuilder::using
+     */
+    public function testUsingTwice()
+    {
+        $this->set_reflection_property_value('is_unfinished_join', true);
+
+        $this->class->using('column1');
+        $this->class->using('column2');
+
+        $string = ' USING (column1, column2)';
+
+        $this->assertEquals($string, $this->get_reflection_property_value('join'));
+    }
+
+}
+
+?>
diff --git a/tests/phpunit.xml b/tests/phpunit.xml
index ecc5759f5caa9cab0b4d4b91e12339342b46b99c..ec3fd940d12129c36308946092df43cde466245c 100644
--- a/tests/phpunit.xml
+++ b/tests/phpunit.xml
@@ -120,6 +120,7 @@
             <file>../src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsDeleteTest.php</file>
             <file>../src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsInsertTest.php</file>
             <file>../src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsUpdateTest.php</file>
+            <file>../src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsUsingTest.php</file>
             <file>../src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderSelectTest.php</file>
             <file>../src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderInsertTest.php</file>
             <file>../src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderUpdateTest.php</file>
@@ -127,6 +128,7 @@
             <file>../src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderConditionTest.php</file>
             <file>../src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderOrderByTest.php</file>
             <file>../src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderLimitTest.php</file>
+            <file>../src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderUsingTest.php</file>
             <file>../src/Lunr/Gravity/Database/MySQL/Tests/MySQLDMLQueryBuilderSelectTest.php</file>
             <file>../src/Lunr/Gravity/Database/MySQL/Tests/MySQLDMLQueryBuilderDeleteTest.php</file>
             <file>../src/Lunr/Gravity/Database/MySQL/Tests/MySQLDMLQueryBuilderInsertTest.php</file>
@@ -138,6 +140,7 @@
             <file>../src/Lunr/Gravity/Database/MySQL/Tests/MySQLSimpleDMLQueryBuilderSelectTest.php</file>
             <file>../src/Lunr/Gravity/Database/MySQL/Tests/MySQLSimpleDMLQueryBuilderWriteTest.php</file>
             <file>../src/Lunr/Gravity/Database/MySQL/Tests/MySQLSimpleDMLQueryBuilderFluidInterfaceTest.php</file>
+            <file>../src/Lunr/Gravity/Database/MySQL/Tests/MySQLSimpleDMLQueryBuilderUsingTest.php</file>
             <file>../src/Lunr/Gravity/Database/Tests/DatabaseConnectionBaseTest.php</file>
             <file>../src/Lunr/Gravity/Database/MySQL/Tests/MySQLConnectionBaseTest.php</file>
             <file>../src/Lunr/Gravity/Database/MySQL/Tests/MySQLConnectionSetTest.php</file>
